.digraph-block {
  margin: $(spacing_base) 0;

  &:first-child {
    margin-top: 0 !important;
  }

  &:last-child {
    margin-bottom: 0 !important;
  }
}

.digraph-block-card {
  @include .digraph-block;
  padding: $(spacing_base);
  box-sizing: border-box;
  page-break-inside: avoid;
  line-height: $(line_height_compact);
  background-color: $(color_shade);
  border-radius: $(border_radius_accent);
}

@fragment button {
  #(0) {
    display: inline-block;
    padding: $(spacing_base);
    box-sizing: border-box;
    background: #(1);
    color: #fff !important;
    text-decoration: none !important;
    border: 0;
    font-weight: bold;
    font-size: 1.5em;
    cursor: pointer;
    border: 0.2em solid s-adjust(#(1) -25);
    border-radius: $(border_radius_accent);

    &:hover {
      background: s-adjust(#(1) 100);
      border-color: #(1);
    }

    &:active {
      background: s-adjust(#(1) 30);
      border-color: s-adjust(#(1) 50);
    }

    &:disabled,
    &[disabled] {
      background: #fafafa;
      border-color: #eee;
      color:#666!important;;
      cursor:default;
    }

    &.loading {
      text-indent:200%;
      white-space:nowrap;
      overflow:hidden;
      background:#fafafa url({{url.base}}digraph/loading-dark.gif);
      background-position:center center;
      background-repeat:no-repeat;
    }
  }
}
